Blame python-flake8-polyfill.spec

7bf74a
%global srcname flake8-polyfill
7bf74a
7bf74a
Name:           python-%{srcname}
7bf74a
Version:        1.0.2
c60fbc
Release:        7%{?dist}
7bf74a
Summary:        Polyfill package for Flake8 plugins
7bf74a
7bf74a
License:        MIT
7bf74a
URL:            https://gitlab.com/pycqa/%{srcname}
7bf74a
Source0:        https://gitlab.com/pycqa/%{srcname}/-/archive/%{version}/%{srcname}-%{version}.tar.gz
7bf74a
8030e6
# Submitted upstream as pycqa/flake8-polyfill#1
8030e6
Patch0:         %{name}-1.0.2-pytest-4-compatibility.patch
8030e6
7bf74a
BuildArch:      noarch
7bf74a
7bf74a
%description
7bf74a
flake8-polyfill is a package that provides some compatibility helpers for
7bf74a
Flake8 plugins that intend to support Flake8 2.x and 3.x simultaneously.
7bf74a
7bf74a
7bf74a
%package -n python%{python3_pkgversion}-%{srcname}
7bf74a
Summary:        %{summary}
7bf74a
BuildRequires:  python%{python3_pkgversion}-devel
7bf74a
BuildRequires:  python%{python3_pkgversion}-flake8
7bf74a
BuildRequires:  python%{python3_pkgversion}-mock
7bf74a
BuildRequires:  python%{python3_pkgversion}-pytest
7bf74a
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
7bf74a
c60fbc
%if %{undefined __pythondist_requires}
7bf74a
Requires:       python%{python3_pkgversion}-flake8
c60fbc
%endif
7bf74a
7bf74a
%description -n python%{python3_pkgversion}-%{srcname}
7bf74a
flake8-polyfill is a package that provides some compatibility helpers for
7bf74a
Flake8 plugins that intend to support Flake8 2.x and 3.x simultaneously.
7bf74a
7bf74a
7bf74a
%prep
7bf74a
%autosetup -p1 -n %{srcname}-%{version}
7bf74a
7bf74a
7bf74a
%build
7bf74a
%py3_build
7bf74a
7bf74a
7bf74a
%install
7bf74a
%py3_install
7bf74a
7bf74a
7bf74a
%check
7bf74a
PYTHONPATH=%{buildroot}%{python3_sitelib} \
c60fbc
  py.test-%{python3_version} \
c60fbc
  --ignore=tests/test_stdin.py \
c60fbc
  tests
7bf74a
7bf74a
7bf74a
%files -n python%{python3_pkgversion}-%{srcname}
7bf74a
%license LICENSE
7bf74a
%doc AUTHORS.rst CHANGELOG.rst README.rst
7bf74a
%{python3_sitelib}/flake8_polyfill/
7bf74a
%{python3_sitelib}/flake8_polyfill-%{version}-py%{python3_version}.egg-info/
7bf74a
7bf74a
7bf74a
%changelog
c60fbc
* Thu Feb 20 2020 Scott K Logan <logans@cottsay.net> - 1.0.2-7
c60fbc
- Drop pep8 requirement and skip test which needs it
c60fbc
- Fix automatic python dependency conditional
c60fbc
5aa8ac
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-6
5aa8ac
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
5aa8ac
4efaca
* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.2-5
4efaca
- Rebuilt for Python 3.8.0rc1 (#1748018)
4efaca
0a32a1
* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.2-4
0a32a1
- Rebuilt for Python 3.8
0a32a1
b01382
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
b01382
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
b01382
8030e6
* Mon Jun 03 2019 Scott K Logan <logans@cottsay.net> - 1.0.2-2
8030e6
- Add patch for pytest 4 compatibility, pytest 3 deprecation (rhbz#1716494)
8030e6
7bf74a
* Thu Mar 21 2019 Scott K Logan <logans@cottsay.net> - 1.0.2-1
7bf74a
- Initial package